SequenceBuilder (BioJava-1.5-beta API)
Keywords: org.biojava.bio.seq.io.SequenceBuilder interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.seq.io
Interface SequenceBuilder

All Superinterfaces:
  SeqIOListener

All Known Subinterfaces:
  RichSequenceBuilder

All Known Implementing Classes:
  EmblProcessor, FastaDescriptionLineParser, GenbankProcessor, OrganismParser, ProteinRefSeqProcessor, SequenceBuilderBase, SequenceBuilderFilter, SequenceDBSequenceBuilder, SimpleAssemblyBuilder, SimpleRichSequenceBuilder, SimpleSequenceBuilder, SmartSequenceBuilder, SwissprotProcessor

    public interface SequenceBuilder

extends SeqIOListener

Interface for objects which accumulate state via SeqIOListener, then construct a Sequence object.

It is possible to build `transducer' objects which implement this interface and pass on filtered notifications to a second, underlying SequenceBuilder. In this case, they should provide a `makeSequence` method which delegates to the underlying SequenceBuilder.

Note: These are one-shot objects that can be used just once to make one sequence. After that, they should be discarded. The usual way to get a supply of these is via a SequenceBuilderFactory. More functionality is offered by the `RichSequenceBuilder`.

Since:
  1.1 [newio proposal]
Author:
  Thomas Down
See Also:
  `RichSequenceBuilder`

Method Summary
`Sequence` | `makeSequence()` Return the Sequence object which has been constructed by this builder.

Methods inherited from interface org.biojava.bio.seq.io.SeqIOListener
`addFeatureProperty, addSequenceProperty, addSymbols, endFeature, endSequence, setName, setURI, startFeature, startSequence`

Method Detail

### makeSequence

    Sequence makeSequence()
                          throws BioException

  Return the Sequence object which has been constructed by this builder. This method is only expected to succeed after the endSequence() notifier has been called.

  Throws:
    `BioException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD